#{extends 'border.html'/}
<div class="container">

	<div class="row">
		<div class="wizard-form-wrapper">
			<div class="padded">
				<div id="rootwizard">
					<div class="wizard-header">
						<div class="row">
							<div class="col-md-5">
								#{if action=='create'}
									<h4>&{'tambah.label'} &{'produk.label'}</h4>
								#{/if}
								#{else}
									<h4>&{'ubah.label'} &{'produk.label'}</h4>
								#{/else}
							</div>
							<div class="col-md-7">
	                            <div class="navbar">
	                                <div class="navbar-inner">
	                                    <ul class="inner-tab">
	                                        <li data-value="1">
	                                            <a href="#tab1" data-toggle="tab" class="btn-circle">1</a>
	                                        </li>
	                                        <li data-value="2">
	                                            <a href="#tab2" data-toggle="tab" class="btn-circle">2</a>
	                                        </li>
	                                        <li data-value="3">
	                                            <a href="#tab3" data-toggle="tab" class="btn-circle">3</a>
	                                        </li>
	                                        #{if !komoditas?.isNational()}
	                                            <li>
	                                                <a href="#tab4" data-toggle="tab" class="btn-circle">4</a>
	                                            </li>
	                                            <li>
	                                                <a href="#tab5" data-toggle="tab" class="btn-circle">5</a>
	                                            </li>
	                                            <li>
	                                                <a href="#tab6" data-toggle="tab" class="btn-circle">6</a>
	                                            </li>
	                                        #{/if}
	                                        #{else}
	                                            <li>
	                                                <a href="#tab5" data-toggle="tab" class="btn-circle">4</a>
	                                            </li>
	                                            <li>
	                                                <a href="#tab6" data-toggle="tab" class="btn-circle">5</a>
	                                            </li>
	                                        #{/else}
	                                    </ul>
	                                </div>
	                            </div>
							</div>
						</div>
					</div>
					
					<div class="wizard-body">
                        #{alert /}
                        <div class="alert-container"></div>
                        <div id="alert-upload"></div>
                        <div class="panel panel-default">
							<div class="panel-body">
								<div class="row">
									#{form @katalog.PerpanjangProdukCtr.createSubmit(), method:'POST', enctype:'multipart/form-data',
									class:'form-horizontal product-form'}
                                    <input type="hidden" name="model.action" value="${action}"/>
									#{if komoditas.isNational()}
                                    <input type="hidden" id="xls-json" name="model.xlsJson" value="${produk?.produkHarga?.harga_xls_json}"/>
									#{/if}
									#{else}
                                    <input type="hidden" id="xls-json" name="model.xlsJson" value="${produkHarga?.harga_xls_json}"/>
									#{/else}
                                    <input type="hidden" name="produk.penawaran_id" value="${pid}"/>
                                    <input type="hidden" id="product-id" name="produk.id" value="${produk?.id}"/>
									<div class="tab-content">
										<div class="tab-pane active" id="tab1">
											<h4>&{'data_produk.label'}</h4>
							                <hr>
                                            #{include 'pl/wizard-produk/tab-dataproduk.html'/}
                                        </div>
										<div class="tab-pane" id="tab2">
											<h4>&{'unspsc.label'}</h4>
							                <hr>
                                            #{include 'pl/wizard-produk/tab-unspsc.html'/}
                                        </div>
										<div class="tab-pane" id="tab3">
											<h4>&{'spesifikasi_produk.label'}</h4>
							                <hr>
                                            #{include 'pl/wizard-produk/tab-spesifikasiproduk.html'/}
                                        </div>
						                #{if !komoditas?.isNational()}
						                    <div class="tab-pane" id="tab4">
						                    	<h4>&{'wilayah_jual.label'}</h4>
							                	<hr>
                                                #{include 'pl/wizard-produk/tab-wilayahjual.html'/}
                                            </div>
						                #{/if}
										<div class="tab-pane" id="tab5">
											<h4>&{'harga_produk.label'}</h4>
							                <hr>
                                            #{include 'pl/wizard-produk/tab-uploadhargaproduk.html'/}
                                        </div>
										<div class="tab-pane" id="tab6">
											<h4>&{'selesai.label'}</h4>
							                <hr>
                                            #{include 'pl/wizard-produk/tab-selesai.html'/}
                                        </div>
										<ul class="pager wizard">
											<li class="previous"><a href="#">&{'sebelumnya.label'}</a></li>
											<li class="next"><a href="#">&{'berikutnya.label'}</a></li>
											<li class="simpan">
												<button id="save" class="btn btn-md btn-primary" type="button" onclick="validateBeforeSave()">&{'simpan.label'}</button>
												<button type="submit" id="btn-submit" style="display: none;"></button>
											</li>
										</ul>
									</div>
									#{/form}
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>
</div>

#{include 'katalog/ProdukCtr/parts/_modalPrice.html'/}

#{validationPackage/}

#{set 'moreScripts'}

<script type="text/javascript" src="@{'public/javascripts/download-harga-util.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/upload-harga-util.js'}"></script>
<script type="text/javascript" src="@{'public/javascripts/bootstrap-notify.min.js'}"></script>
<script type="text/javascript">
    var params = {};
    params['validasiNamaNoProd'] = '@{katalog.produkCtr.validasiProduk()}';
    params['ids'] = '${produk?.id}';
    params['attributeUrl'] = "@{katalog.ProdukCtr.getKetagoriAtributByKatId()}";
    params['imageUrl'] = '@{katalog.ProdukCtr.imageUpload()}';
    params['unspscUrl'] = '@{DataTableCtr.cariUnspsc()}';
    params['attachmentUrl'] = '@{katalog.ProdukCtr.upload()}';
    params['deleteImageUrl'] = '@{katalog.produkCtr.hapusGambar()}';
    params['deleteAttachmentUrl'] = '@{katalog.produkCtr.hapusProdukLampiran()}';
    params['priceClass'] = '${komoditas.kelas_harga}';
    params['lang'] = '${play.i18n.Lang.get()}';
    params['priceCoverage'] = '@{controllers.katalog.ProdukCtr.getProvOrKab()}';
    params['isNational'] = ${komoditas?.isNational()};
    params['isUnlimitedStock'] = ${komoditas?.apakah_stok_unlimited};
    params['isDeliveryCostNeeded'] = ${komoditas.perlu_ongkir && !komoditas.isRegency()};
	params['getKabByProvUrl'] = '@{controllers.katalog.ProdukCtr.getKabByProv()}';
    params['getAllKabAllProv'] = '@{controllers.katalog.ProdukCtr.getAllKabAllProv()}';

	params['downloadTemplateHarga'] = {};
    params['downloadTemplateHarga']['requiredDeliveryCost'] = ${komoditas?.perlu_ongkir};
    params['downloadTemplateHarga']['atributHarga'] = ${atributHargaJson.raw()};
	params['downloadTemplateHarga']['namaPenyedia'] = $("#namaPenyedia").html();
	params['atributHarga'] = ${atributHargaJson.raw()};

	// prepare untuk menampilkan list ongkir exiting
	var ongkir = JSON.parse('${produk?.ongkir}'.replace(/&quot;/g,'"'));
	var provKab = JSON.parse('${new com.google.gson.Gson().toJson(provKab)}'.replace(/&quot;/g,'"'));

    jQuery(document).ready(function () {
		$('.product-price').each(function(i, field){
			$(field).onChangeCurrencyFormatter(params.lang);
		});
		var v1 = $('input[name="produk.nama_produk"]');
        var v2 = $('input[name="produk.no_produk_penyedia"]');
        function cekVal1Val2(){
            if(v1.val() != '' && v2.val() != '' ){
                validateOnServer2(v1,v2);

            }
        }
        v1.blur(function(){
            cekVal1Val2();
		});

        v2.blur(function(){
            cekVal1Val2();
        });



        jQuery(function () {
            jQuery.getScript("@{'public/javascripts/product/add-product.js'}");
        });
    });

    $(document).on("click","#downloadTemplateOngkir", function(){
        var checkedItems = $(".wilJualItems:checkbox:checked");
        var kelasHarga = params.priceClass;
        params['downloadTemplateHarga']['namaProduk'] = $("#namaProduk").val();
        var ids = new Array();
        if(kelasHarga == 'provinsi'){
            checkedItems.each(function () {
                var item = $(this);
                var provInfo = {};
                provInfo['provId'] = item.val();
                provInfo['provName'] = item.attr("provname");
                ids.push(provInfo);
            });


            $.ajax({
                type:'POST',
                url: params.getKabByProvUrl,
                dataType:'json',
                data :{
                    checkedProv:JSON.stringify(ids)
                },
                success:function(result){
					// console.log(result);
            		generateXlsxOngkir(result, kelasHarga, params.downloadTemplateHarga);
                }
            });
        } else {
            //getAllKabAllProv
            //var obj_parameter = {};
            //obj_parameter["namaProduk"] = $("#namaProduk").val();
            //obj_parameter["namaPenyedia"]= $("#namaPenyedia").html();

            //@ var url = "{katalog.ProdukCtr.downloadTemplateOngkir()}" + createQueryString(obj_parameter);
            //window.location = url;
            $.ajax({
                type:'POST',
                url: params.getAllKabAllProv,
                dataType:'json',
                data :{},
                success:function(result){
                    // console.log(result);
                    generateXlsxOngkir(result, kelasHarga, params.downloadTemplateHarga);
                }
            });
        }
    });

    function createQueryString(params){
        if (params) {
            var str = [];
            for (var p in params){
                if (params.hasOwnProperty(p)) {
                    str.push(encodeURIComponent(p) + "=" + encodeURIComponent(params[p]));
                }
            }

            return '?' + str.join("&");
        }
        return '';
    }


    function validateOnServer2(v1,v2){
        //data.override = true;
        var nama = $('input[name="produk.nama_produk"]').val();
        var noprod = $('input[name="produk.no_produk_penyedia"]').val();
        var urls = params.validasiNamaNoProd+'?id='+params.ids+'&nama='+nama+'&noprodukp='+noprod;

        if( nama != null && noprod != null){
            $.ajax({
                type: 'GET',
                url: urls,
                success : function(datas){
                    //alert('fromserver:'+datas.valid);
                    //asep: overide = true
                    //mengindikasikan, status kedepannya akan di overiide tidak ketika akan return
                    if(!datas.valid){//if notvalid
                        showAlert(true, datas.message);
                        v1.val('');
                        v2.val('');
                    }else{
                        showAlert(false, '');
                    }
                    return !datas.valid;
                },
                error : function(){
                    $('#alert-upload').html('<div class="alert alert-danger" role="alert">gagal validasi Nama Produk dan No. Produk Penyedia</div>');
                }
            })
        }
    }


    function updateTabelRiwayatHarga(){
    	  var locationVal=$("#locationSelect").val();
    	  $(".tBody-riwayat-harga").hide();
    	  $("#tBody-riwayat-harga-"+locationVal).show();
    }

    $(document).on("change","#locationSelect", updateTabelRiwayatHarga);

    updateTabelRiwayatHarga();

</script>

#{/set}
